Update claim status
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/probate/creditor-claims/{claim_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"creditor_name": "<string>",
"claim_amount": 123,
"claim_date": "2023-12-25",
"creditor_address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"creditor_phone": "<string>",
"creditor_email": "jsmith@example.com",
"debt_description": "<string>",
"account_number": "<string>",
"resolution_amount": 123,
"resolution_date": "2023-12-25",
"resolution_notes": "<string>",
"priority_order": 123,
"is_valid": true,
"statute_of_limitations_expires": "2023-12-25"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/probate/creditor-claims/{claim_id}"
payload = {
"creditor_name": "<string>",
"claim_amount": 123,
"claim_date": "2023-12-25",
"creditor_address": {
"address1": "123 Main Street",
"address2": None,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"creditor_phone": "<string>",
"creditor_email": "jsmith@example.com",
"debt_description": "<string>",
"account_number": "<string>",
"resolution_amount": 123,
"resolution_date": "2023-12-25",
"resolution_notes": "<string>",
"priority_order": 123,
"is_valid": True,
"statute_of_limitations_expires": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
creditor_name: '<string>',
claim_amount: 123,
claim_date: '2023-12-25',
creditor_address: {
address1: '123 Main Street',
address2: null,
city: 'Salt Lake City',
state: 'UT',
zip: '84101'
},
creditor_phone: '<string>',
creditor_email: 'jsmith@example.com',
debt_description: '<string>',
account_number: '<string>',
resolution_amount: 123,
resolution_date: '2023-12-25',
resolution_notes: '<string>',
priority_order: 123,
is_valid: true,
statute_of_limitations_expires: '2023-12-25'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/probate/creditor-claims/{claim_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K7CC04JJ8T55HRYE78AN7QRS",
"creditor_name": "Springfield Medical Center",
"creditor_address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"creditor_phone": "<string>",
"creditor_email": "jsmith@example.com",
"claim_amount": 12500,
"claim_date": "2023-12-25",
"claim_type": "unsecured",
"debt_description": "Outstanding medical bills for treatment in 2024-2025.",
"account_number": "***4567",
"status": "filed",
"resolution_amount": 123,
"resolution_date": "2023-12-25",
"resolution_notes": "<string>",
"priority_order": 123,
"is_valid": true,
"statute_of_limitations_expires": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Creditor Claims
Update claim status
Update a creditor claim (e.g., accept, reject, mark as paid).
PATCH
/
cases
/
{case_id}
/
probate
/
creditor-claims
/
{claim_id}
Update claim status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
secured, unsecured, priority, contingent Show child attributes
Show child attributes
Available options:
filed, under_review, accepted, rejected, disputed, paid, partially_paid, expired Response
Claim updated.
Show child attributes
Show child attributes
⌘I

